import request from '$project/utils/request'
import Qs from 'qs';

//审批人查看
export function examinePersonList(formId) {
	var params= {
		formId:formId
	}
	
	return request({
		url: '/mobile/adjustShiftApi/processTemplateList',
	
		data: Qs.stringify(params),
		method: 'post',
	})
}

//审批人查看
export function examinePerson(formId,processTemplateId) {
	var 	params= {
			formId:formId
		}
		if(processTemplateId){
			params.processTemplateId=processTemplateId
		}
	return request({
		url: '/mobile/adjustShiftApi/examinePerson',
	
		data: Qs.stringify(params),
		method: 'post',
	})
}
 
//审批人查看 obj
export function examinePersonObj(params) {
 
	return request({
		url: '/mobile/adjustShiftApi/examinePerson',
	
		data: Qs.stringify(params),
		method: 'post',
	})
}
//根据id查询审核详情
export function examineDetail(id) {
	var 	params= {
			id:id
		}
	return request({
		url: '/mobile/adjustShiftApi/examineDetail',
	
		data: Qs.stringify(params),
		method: 'post',
	})
}


//根据id查询审核详情
export function revoke(id) {
	var 	params= {
			id:id
		}
	return request({
		url: '/mobile/adjustShiftApi/revoke',
	
		data: Qs.stringify(params),
		method: 'post',
	})
}